Subject: Re: bug#74145: 31.0.50; Default lexical-binding to t

From: Stefan Monnier <[email-masked]>
Date: Sun, 16 Feb 2025 21:12:45 -0500

>   > > I believe the time has come to change the default dialect.
>   > > I attached a suggested patch to do that.
>
> Certainly not!  That would be too abrupt.
> By contrast, your proposed change
>
>   > OK, before we change the default, I propose the patch below, which
>   > should not change the behavior at all, but allows users to
>
>   >     (set-default-toplevel-value 'lexical-binding t)
>
> is a step along a reasonable path.  It won't impose anything on anyone
> immediately, but it will encourage users to try this out and report
> problems.

The difference between the two, for users, is whether they need

    (set-default-toplevel-value 'lexical-binding t)

to get the new setup or

    (set-default-toplevel-value 'lexical-binding nil)

to continue with the old setup.
It's a small enough difference that I don't think it justifies
describing one as "reasonable path" and the other as "too abrupt".

        Stefan